const TaskBase = require("../task.base");
const system = require("../../system");
const logCtl = system.getObject("web.oplogCtl");

class DKContractTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(DKContractTask));
    this.dkcontractSve = system.getObject("service.dkcontractSve");
  }
  async subDoTask() {
    console.log("begin do DKContractTask ----------------------------------- ");
    await this.dkcontractSve.downloadCompleteUrl();
    console.log("end do DKContractTask ----------------------------------- ");
  }
}
module.exports = DKContractTask;